/* RandInts - generates random, 16-bit integers for use with TASM or compatible assembler.
 * Usage: randints <limit> <count>
 * <limit> and <count> are integers from 1-32767.
 * <limit> sets the range of data (0 to limit).
 * <count> is the number of random integers to generate.
 */

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

void main(int argc, char* argv[])
{
 short c = 0, limit, count;

 if (argc > 1 && (limit = atoi(argv[1])) > 0 && (count = atoi(argv[2])) > 0)
 {
  srand(clock());
  limit++;
  fputs("\nARRAY:", stdout);
  while (c < count)
  {
   if (!(c++ % 11)) printf("\n.dw %d", rand() % limit);
   else printf(", %d", rand() % limit);
  }
 }
 else fputs("Usage: randints <limit> <count>\n", stderr);
}
